import axios from '@/common/services/axios-instance'

class SignaturemanageService {
  getUserSignatureList(params) {
    return axios({
      url: `api/framework/v1/page/businessList`,
      method: 'post',
      data: params,
    })
  }

  getTreeFatherService() {
    return axios({
      url: `api/framework/v1/group-manager/admin/group/root-node`,
      method: 'get',
    })
  }

  getTreeChildService(id) {
    return axios({
      url: `api/framework/v1/group-manager/admin/group/getChildren?parent=${id}`,
      method: 'get',
    })
  }
}

export default new SignaturemanageService()
